Send a letter from a template
POST
/api/v3/letters/{letterUuid}/actions/send
const url = 'https://api.tryletterhead.com/api/v3/letters/example/actions/send';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"api":true,"channel":"an-example-channel","segment":0,"subject":"Who doesn\'t love a good movie?","subtitle":"A new exhibition, two openings, and a closer look at this season\'s residency.","suppress":["some-other-channel"],"curations":[{"excerpt":"Pan\'s Labyrinth should be number one, we think.","tags":["pans-labyrinth"],"title":"The 100 Best Movies of the 21st Century","url":"https://www.nytimes.com/interactive/2025/movies/best-movies-21st-century.html"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.tryletterhead.com/api/v3/letters/example/actions/send \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "api": true, "channel": "an-example-channel", "segment": 0, "subject": "Who doesn'\''t love a good movie?", "subtitle": "A new exhibition, two openings, and a closer look at this season'\''s residency.", "suppress": [ "some-other-channel" ], "curations": [ { "excerpt": "Pan'\''s Labyrinth should be number one, we think.", "tags": [ "pans-labyrinth" ], "title": "The 100 Best Movies of the 21st Century", "url": "https://www.nytimes.com/interactive/2025/movies/best-movies-21st-century.html" } ] }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” letterUuid
required
string
The letter’s unique identifier — an alphanumeric string around ten characters, e.g. ludctamgd6.
Request Body required
Section titled “Request Body required ” Media type application/json
object
api
Required. Set to true to authenticate with an API key.
boolean
channel
string
segment
The integer identifier of your target segment, which is either all or a subset of your target channel.
integer
subject
string
subtitle
(optional) Override the template’s subtitle (email preview text) for this send only. Max 191 chars. Omit or send null to keep the template’s existing subtitle.
string
suppress
(optional) An array of channel identifiers (slugs), to suppress sending to anyone on “an-example-channel” who is also subscribed to one or more of the channels passed here.
Array<string>
curations
(optional) An array of Curations.
Array<object>
object
excerpt
string
tags
Array<string>
title
string
url
string
Example
{ "api": true, "channel": "an-example-channel", "segment": 0, "subject": "Who doesn't love a good movie?", "subtitle": "A new exhibition, two openings, and a closer look at this season's residency.", "suppress": [ "some-other-channel" ], "curations": [ { "excerpt": "Pan's Labyrinth should be number one, we think.", "tags": [ "pans-labyrinth" ], "title": "The 100 Best Movies of the 21st Century", "url": "https://www.nytimes.com/interactive/2025/movies/best-movies-21st-century.html" } ]}Responses
Section titled “ Responses ”Successful response
Still can’t find what you need? Contact support.